Robots
Get a robot
Retrieve a specific Robot by its ID. Does not include any messages or sessions associated with the Robot, just provides metadata about it.
GET
/robots/{robot_id}Retrieve a specific Robot by its ID. Does not include any messages or sessions associated with the Robot, just provides metadata about it.
storyden-session<token>
In: cookie
Path Parameters
robot_id*string
Robot ID
Format
xidResponse Body
application/json
application/json
curl -X GET "https://example.com/robots/string"{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "description": "string", "playbook": "string", "model": "string", "workspace_id": null, "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "tools": [ "string" ], "toolsets": [ "string" ], "meta": {}}